commit: 5bb01f3cb5bc7ad6c49d0e02d4063098f095c81a
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 17 14:55:07 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jan 17 18:35:48 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5bb01f3c
dev-python/pypy: Skip broken tests
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pypy/pypy-7.3.0.ebuild | 17 +++++++++++++++++
1 file changed, 17 insertions(+)
diff --git a/dev-python/pypy/pypy-7.3.0.ebuild
b/dev-python/pypy/pypy-7.3.0.ebuild
index 23373c0fbe6..255575b2dbe 100644
--- a/dev-python/pypy/pypy-7.3.0.ebuild
+++ b/dev-python/pypy/pypy-7.3.0.ebuild
@@ -52,6 +52,23 @@ src_prepare() {
eapply -p2 "${WORKDIR}/${PATCHSET}"/0010-use_pyxml.patch
popd > /dev/null || die
+ # this test relies on pypy-c hardcoding correct build time paths
+ sed -i -e 's:test_executable_without_cwd:_&:' \
+ lib-python/2.7/test/test_subprocess.py || die
+ # this one seems to rely on cpython gc handling (?)
+ sed -i -e 's:test_number_of_objects:_&:' \
+ lib-python/2.7/test/test_multiprocessing.py || die
+ # hardcoded assumptions (?)
+ sed -i -e 's:test_alpn_protocols:_&:' \
+ -e 's:test_default_ecdh_curve:_&:' \
+ lib-python/2.7/test/test_ssl.py || die
+ # requires Internet
+ sed -i -e '/class NetworkedTests/[email protected]("Requires
networking")' \
+ lib-python/2.7/test/test_ssl.py || die
+ # TODO: investigate (sandbox?)
+ sed -i -e 's:test__copy_to_each:_&:' \
+ lib-python/2.7/test/test_pty.py || die
+
eapply_user
}